%{?perl_default_filter}

# do not provide/require private perl modules
%global __requires_exclude GD.so|perl\\(HTML::Clean\\)|perl\\((WML::GD|find.pl)\\)
%global __provides_exclude GD.so|perl\\(HTML::Clean\\)|perl\\(WML::GD\\)

Summary:	Website META Language
Name:		wml
Version:	2.4.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Publishing
URL:		http://thewml.org/
Source:		https://bitbucket.org/shlomif/website-meta-language/downloads/%{name}-%{version}.tar.bz2
Patch1:		wml-fix-build-v0.2.0.patch
BuildRequires:	cmake
BuildRequires:	ncurses-devel
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:	perl-devel
BuildRequires:	gdbm-devel
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	lynx
# Please do not ever link this with an old db version than the current system db version
# libperl uses {get,set}pw*() functions which might bring in the system db version via nss,
# and lead to unexpected crashes
# BuildRequires: db2-devel, libgdbm-devel
BuildRequires:	perl-Bit-Vector >= 5.2
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(GD)
BuildRequires:	perl(Getopt::Long) >= 2.16
BuildRequires:	perl(HTML::Clean)
BuildRequires:	perl(Image::Size) >= 2.6
BuildRequires:	perl(IO::All)
BuildRequires:	perl(IO::File) >= 1.07
BuildRequires:	perl(Term::ReadKey) >= 2.11
# why does not autorequires catch those???
Requires:	perl(Bit::Vector) >= 5.2
Requires:	perl(File::Spec)
Requires:	perl(Getopt::Long) >= 2.16
Requires:	perl(Image::Size) >= 2.6
Requires:	perl(IO::File) >= 1.07
Requires:	perl(Term::ReadKey) >= 2.11

%description
WML is a free and extensible Webdesigner's off-line HTML generation
toolkit for Unix, distributed under the GNU General Public License
(GPL v2). It is written in ANSI C and Perl 5, build via a GNU Autoconf
based source tree and runs out-of-the-box on all major Unix derivatives.
It can be used free of charge both in educational and commercial
environments.

%prep

%setup -q
%patch1 -p2 -b .FIX_BUILD

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir}
%make

%check
cd build
%make -Onone check

%install
cd build
%{makeinstall_std}

%files
%doc ANNOUNCE BUGREPORT ChangeLog COPYING COPYRIGHT COPYRIGHT.OTHER CREDITS
%doc NEWS README SUPPORT VERSION VERSION.HISTORY
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*


%changelog
* Tue Jun 21 2016 shlomif <shlomif> 2.4.0-6.mga6
+ Revision: 1037073
- Fix the build - 10x to david_david

* Wed Feb 17 2016 umeabot <umeabot> 2.4.0-5.mga6
+ Revision: 963282
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 2.4.0-4.mga6
+ Revision: 846146
- rebuild with soname-ified perl

* Tue Jun 23 2015 shlomif <shlomif> 2.4.0-3.mga6
+ Revision: 841268
- Add missing BR
- Rebuild for the new perl-5.22.0
- New version 2.4.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.2-7.mga5
+ Revision: 726371
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-6.mga5
+ Revision: 690343
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Jun 09 2014 shlomif <shlomif> 2.2.2-5.mga5
+ Revision: 635213
- Bump rel for perl rebuild

* Tue Feb 04 2014 shlomif <shlomif> 2.2.2-4.mga5
+ Revision: 581984
- Rebuild for new perl - 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 533380
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 shlomif <shlomif> 2.2.2-2.mga4
+ Revision: 472859
- Rebuild for perl-5.18.1

* Wed May 29 2013 shlomif <shlomif> 2.2.2-1.mga4
+ Revision: 432015
- New version 2.2.2 + rebuild for perl-5.18.0

* Sat Apr 06 2013 shlomif <shlomif> 2.2.1-3.mga3
+ Revision: 408527
- Rebuild for new libperl version.

* Mon Jan 14 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 385760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 shlomif <shlomif> 2.2.1-1.mga3
+ Revision: 325925
- New version.

* Sat Dec 01 2012 fwang <fwang> 2.2.0-9.mga3
+ Revision: 323857
- rebuild for new pcre

* Wed Nov 07 2012 shlomif <shlomif> 2.2.0-8.mga3
+ Revision: 316228
- Rebuild for new perl

* Fri Aug 24 2012 shlomif <shlomif> 2.2.0-7.mga3
+ Revision: 283629
- Rebuild for the new perl

* Fri Jun 01 2012 shlomif <shlomif> 2.2.0-6.mga3
+ Revision: 253185
- Made rpmlint happier

* Fri Jun 01 2012 shlomif <shlomif> 2.2.0-5.mga3
+ Revision: 252957
- BuildRequires on gdbm-devel and db-devel
- BuildRequires on perl(HTML::Clean)
- BuildRequires on GD.pm
- Add a missing BuildRequires on cmake
- New version: 2.2.0

* Fri Dec 16 2011 shlomif <shlomif> 2.0.11-9.mga2
+ Revision: 182723
- imported package wml

